/*********************************************************************
*	AFEDRI SDR-Net Commander utility
*	Author: Alexander Trushkin ( 4Z5LV )
*	Date: 9.10.2013
*	
*	This utility allows you to control AFEDRI SDR 
*	over USB connection.
*	So you can use this utility in command shell scripts or WebSDR
*	or in crone command   
**********************************************************************/

int initialize_hardware();
int set_rf_gain(int gain, int channel);
int set_fe_gain(int gain);
int set_rx_frequency(unsigned long frequency, int channel);
int reset_sdr();
int save_usb_sample_rate(unsigned long SampleRate);
int Get_SDR_Information();
int set_rf_gain_indexed(int gain, int channel);
int save_defaults();
int show_help_information();
int set_usb_mode(unsigned long mode);
int save_main_clock_freq(unsigned long frequency);
int enumerate_afedri_devs();
int set_multichannel_mode(int mode, int channel);
int set_agc_mode(int mode);
int set_new_sample_rate(unsigned long SampleRate);
int save_diversity_sample_rate(unsigned long SampleRate);
int start_data_stream(int command);
int set_leds_on_off(int mode);
unsigned long  get_agc_level_state();

int	set_r820t_lna_agc_mode(char mode);
int	set_r820t_mix_agc_mode(char mode);
int	set_r820t_lna_gain(unsigned char gain);
int set_r820t_mix_gain(unsigned char gain);
unsigned short  get_mac_word();
int save_mac_word(int mac_word);


//End header


