#ifndef _TCP_SHELL_HEADER_
    #define _TCP_SHELL_HEADER_
    #define RCV_START   2
    #define RCV_STOP    1
    int tcp_send_frequency(unsigned long frequency, int channel);
    int tcp_set_udp_rx_state(unsigned char command);
    int tcp_set_rf_gain_state(int channel, char gain);
    int tcp_send_sample_rate(unsigned long sample_rate);
    int tcp_send_hid_command(char *block, int size);
    int TCP_write(char* block, int size);
    void tcp_clear_pending_flag();
    void tcp_set_pending_flag();
    int tcp_get_pending_flag();
    void set_parent_pointer(void * pparent);
    void set_tcp_socket(void * psocket);
	int open_tcp_connection(const unsigned char *ip, const int port);

#endif
//End of header

